package de.intevation.flys.jfree;

import java.util.Collections;
import java.util.List;

import org.w3c.dom.Document;

import org.jfree.chart.annotations.XYTextAnnotation;

import de.intevation.flys.artifacts.model.HYKFactory;


/**
 * List of Text- Annotations with name and theme.
 */
public class FLYSAnnotation {

    protected List<XYTextAnnotation> textAnnotations;

    protected List<HYKFactory.Zone> boxes;

    protected Document theme;

    protected String label;


    /** Create annotations, parameter might be null. */
    public FLYSAnnotation(String label, List<XYTextAnnotation> annotations,
        List<HYKFactory.Zone> bAnnotations
    ) {
        this.label           = label;
        this.textAnnotations = (annotations != null)
                               ? annotations
                               : Collections.<XYTextAnnotation>emptyList();
        this.boxes  = (bAnnotations != null)
                               ? bAnnotations
                               : Collections.<HYKFactory.Zone>emptyList();
    }

    public FLYSAnnotation(String label, List<XYTextAnnotation> annotations) {
        this.label           = label;
        this.textAnnotations = (annotations != null)
                               ? annotations
                               : Collections.<XYTextAnnotation>emptyList();
        this.boxes           = Collections.<HYKFactory.Zone>emptyList();
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public List<XYTextAnnotation> getTextAnnotations() {
        return textAnnotations;
    }

    public List<HYKFactory.Zone> getBoxes() {
        return boxes;
    }

    public void setTheme(Document theme) {
        this.theme = theme;
    }

    public Document getTheme() {
        return theme;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
